BEEM - Android XMPP - Feature #319

Use smartphone led for incoming message notification

12/06/2010 11:21 AM - Nikita Kozlov

Status: Closed Start date: 12/06/2010
Priority: Normal Due date:

Assignee: Vincent Véronis % Done: 0%
Category: User Interface Estimated time: 1.00 hour
Target version: 0.1.7

Description

(10:42:51) erik: Im using Beem with a SE x10 mini. X10 mini uses a green flash on the front to indicate new messages. It would be

nice if Beem also could indicate new messages that way.
(10:43:44) erik: a led that is... not a flash..

Hint for implementation :

http://www.beem-project.com/projects/beem/repository/entry/src/com/beem/project/beem/service/BeemChatManager.java#l 281

The api is described here : http://developer.android.com/reference/android/app/Notification.html#ledARGB

It could be nice to have a setting to enable/disable it, and to change the led color.

Associated revisions

Revision 903:970559c45e43 - 09/05/2011 06:01 PM - "Vincent Veronis"

Set up blue led on incoming message notification
feature #319

Revision 925:970559c45e43 - 09/05/2011 06:01 PM - "Vincent Veronis"
Set up blue led on incoming message notification

feature #319

History

#1 - 09/03/2011 02:26 PM - Frédéric Barthéléry

- Target version setto 0.1.7

#2 - 09/05/2011 05:42 PM - Vincent Véronis

- Assignee set to Vincent Véronis

#3 - 09/05/2011 06:44 PM - Vincent Véronis

- Status changed from New to Resolved

#4 - 09/05/2011 06:45 PM - Vincent Véronis
- Estimated time set to 1.00 h

#5 - 09/05/2011 07:59 PM - Frédéric Barthéléry

Maybe add some preferences in the settings to configure it ?

#6 - 11/07/2011 11:06 AM - Frédéric Barthéléry

- Status changed from Resolved to Closed
